Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "d947b1ee-bb47-4c48-a297-9de1464e05aa",
  "date_start": "2026-11-07T07:57:42.0900498+00:00",
  "date_end": "2026-11-07T07:57:42.0900498+00:00",
  "modified_dateutc": "2026-11-07T07:57:42.0900498+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "717e3888-7d2d-419e-9230-6fad842f7b09",
  "user_code": "sample string 8",
  "user": {
    "id": "6fe575f0-df88-4ec7-91e2-a797e5df20ce",
    "db_language_id": "e3bf31eb-41dd-4564-80f0-bd9a721d2755",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-07T07:57:42.0900498+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "39c21a15-d89a-4d65-8d50-ee923af5a103",
    "sales_organization": {
      "id": "e01f5bdb-99c5-4d2d-9365-072ad76490e0",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "9b14c6c4-d387-4d65-838e-e9e9f8ded68b",
      "db_currency_id": "1e663c16-47fe-4cec-b596-c3f1ce6b5919",
      "db_language_id": "c6b1fcb4-1f1d-47de-9e0c-77638e132a95",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T07:57:42.0900498+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "4a534e55-16d7-4b59-af09-93cddf4ee4f0",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "13c95e52-927f-417d-8320-8d7046c7782a",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-07T07:57:42.0900498+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "cf411461-c1d0-4397-8bd2-3323e475c999"
  },
  "user_unavailability_type_id": "ad9d8829-9f0a-44fd-9341-2f837b5a6b8b",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "8243f536-eafa-4068-96f6-4e3c1893a161",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "91685d3a-49d9-4f8b-8ea3-2bafafef5e0e",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "e01f5bdb-99c5-4d2d-9365-072ad76490e0",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "9b14c6c4-d387-4d65-838e-e9e9f8ded68b",
      "db_currency_id": "1e663c16-47fe-4cec-b596-c3f1ce6b5919",
      "db_language_id": "c6b1fcb4-1f1d-47de-9e0c-77638e132a95",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T07:57:42.0900498+00:00"
    },
    "modified_dateutc": "2026-11-07T07:57:42.0900498+00:00"
  }
}